// on déclare nos variables
var x = 0;
var y = 0;

// on ajoute un écouteur d'événement
document.body.addEventListener( 'mousemove', obtenir_pourcentage_largeur, false );

// la fonction est appelée par l'écouteur d'événement
function obtenir_pourcentage_largeur ( evenement ) {
   /* calcul la position du curseur sur la vue sous forme de %
   et l'assigner à x et y
   le * 60 - 30 permet d'avoir une valeur entre -30 et 30 */
   x = evenement.clientX / window.innerWidth * 60 - 30;
   y = evenement.clientY / window.innerHeight * 60 - 30;
}

// on demande à bodymovin de charger l'animation
bodymovin.loadAnimation({

  // conteneur de l'animation, obligatoire
  container: document.getElementById('mon-animation'),

  // chemin vers le fichier JSON, obligatoire
  path: 'animation-modifie.json',

  // moteur de rendu (svg, canvas ou html), obligatoire
  renderer: 'svg',

  // si l'animation est une boucle
  loop: true,

  // si l'animation se lance autmatiquement
  autoplay: true,

  // nom permettant de référencer l'expression
  name: "Hello World",
})
